Update a max bid
Updates the authenticated storefront customer's maximum (proxy) bid on an active auction item.
The customer must currently be the high bidder. The maxAmount cannot be lower than the customer's current showing bid.
If the auction item has a reserve price that has not yet been met and the maxAmount meets or exceeds it, the system will automatically place a bid at the reserve price.
Your storefront (public) token, sent as Authorization: Bearer STOREFRONT_TOKEN. Generate one in Auction Plus under Settings > API, in the Storefront API section, by clicking Generate Public Token. Required on every request.
The auction item UID.
1c6af60by54hzdmgxy5ab4ypw0Available values are startPrice, bidIncrementStrategy, automaticBidding, softClose, totalBids, highBidAmount, minimumBid, currentIncrement, startsAt, endsAt, position, status, enableReserve, reserveMet, processed, createdAt, updatedAt, canceledAt. You can include multiple values by separating them with a comma.
Available values are externalId, displayName, title, price, photoUrl. You can include multiple values by separating them with a comma.
Available values are externalId, title, vendor, type, photoUrl, handle. You can include multiple values by separating them with a comma.
Available values are amount, submittedAt, placedAt. You can include multiple values by separating them with a comma.
Available values are amount, createdAt. You can include multiple values by separating them with a comma.
Available values are amount, notifiedAt, paymentDueAt, paid. You can include multiple values by separating them with a comma.
Comma-separated per-viewer fields to return under meta.viewer on the resource and any included resources. Available values: hasBid, isWatching, isHighBidder, isOwner. Requires an authenticated customer.
hasBid,isWatchingComma-separated list of related resources to include in the response. Available values: variant, product, highBid, highBid.customer, viewerMaxBid, viewerWin.
The new maximum bid in major currency units (e.g. 10.50).
AuctionItemResource
The provided user does not have access to this resource.
The provided user does not have access to this resource.
The max bid could not be updated. Inspect errors[0].code for details:
max_bid_edit_permission_denied— the customer is not the current high bidder on the auction item.auction_ended— the auction has already ended.max_amount_below_current_bid— the newmaxAmountis lower than the showing bid.meta.minimum_bidcontains the showing bid amount.
POST /storefront/v1/auction-items/{id}/update-max-bid HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"maxAmount": 1
}{
"data": {
"id": "4hfwg0jenx2cbf8ze3vhg0kdcr",
"type": "auction-items",
"attributes": {
"startPrice": {
"value": 100,
"major": "1.00",
"display": "$1.00",
"currency": "USD"
},
"bidIncrementStrategy": {
"strategy": "fixed_amount",
"value": {
"amount": {
"value": 500,
"major": "5.00",
"display": "$5.00",
"currency": "USD"
}
}
},
"automaticBidding": {
"enabled": true
},
"softClose": {
"enabled": false
},
"totalBids": 1,
"highBidAmount": {
"value": 5000,
"major": "50.00",
"display": "$50.00",
"currency": "USD"
},
"minimumBid": {
"value": 5500,
"major": "55.00",
"display": "$55.00",
"currency": "USD"
},
"currentIncrement": {
"value": 500,
"major": "5.00",
"display": "$5.00",
"currency": "USD"
},
"startsAt": "2026-09-24T19:51:47.000000Z",
"endsAt": "2026-09-24T20:51:47.000000Z",
"position": null,
"status": "active",
"enableReserve": true,
"reserveMet": true,
"processed": false,
"createdAt": "2026-09-24T19:51:47.000000Z",
"updatedAt": "2026-09-24T19:51:47.000000Z",
"canceledAt": null
},
"relationships": {
"variant": {
"data": {
"type": "variants",
"id": "text"
}
},
"product": {
"data": {
"type": "products",
"id": "text"
}
},
"highBid": {
"data": {
"type": "bids",
"id": "text"
}
},
"viewerMaxBid": {
"data": {
"type": "max-bids",
"id": "text"
}
},
"viewerWin": {
"data": {
"type": "auction-winners",
"id": "text"
}
}
}
}
}Last updated